| Flutter Impeller |

Public Member Functions | List of all members
impeller::ColorImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::ColorImageFilter:

## Public Member Functions
| ColorImageFilter (const ColorFilter &color_filter)
| ~ColorImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...
virtual int | GetRequiredMipCount () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 232 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ ColorImageFilter()

impeller::ColorImageFilter::ColorImageFilter | ( | const ColorFilter & | color_filter | ) |
| explicit

Definition at line 172 of file image_filter.cc.

173 : color_filter_(color_filter.Clone()) {}

## ◆ ~ColorImageFilter()

impeller::ColorImageFilter::~ColorImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::ColorImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 183 of file image_filter.cc.

183 {
184 return std::make_shared<ColorImageFilter>(*this);
185 }

## ◆ Visit()

void impeller::ColorImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 248 of file image_filter.h.

248 :
249 std::shared_ptr<ColorFilter> color_filter_;

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::ColorImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 177 of file image_filter.cc.

178 {
179 return color_filter_->WrapWithGPUColorFilter(
180 input, ColorFilterContents::AbsorbOpacity::kNo);
181 }

References impeller::ColorFilterContents::kNo.

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::ColorFilterContents::AbsorbOpacity::kNo
@ kNo